org.apache.maven.scm.tck.command.changelog

## Class ChangeLogCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.changelog.ChangeLogCommandTckTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    GitChangeLogCommandTckTest

      public abstract class ChangeLogCommandTckTest
      extends ScmTckTestCase

  Test Changlog command.
  1. Get initial log
  2. Add one revision
  3. Get the two logs
  4. Get the last log based on date
  5. Test last log for date and comment
  Author:
    Torbjørn Eikli Smørgrav

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.ScmTestCase

      `GMT_TIME_ZONE`

    - ### Fields inherited from class org.codehaus.plexus.PlexusTestCase

      `basedir, container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeLogCommandTckTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testChangeLogCommand()`

    - ### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

      `addToWorkingTree, checkOut, getScmFileNames, getScmRepository, getScmUrl, initRepo, mapFilesByPath, setUp`

    - ### Methods inherited from class org.apache.maven.scm.ScmTestCase

      `assertCommandLine, assertFile, assertPath, assertResultIsSuccess, execute, getAssertionCopy, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, setDebugExecute`

    - ### Methods inherited from class org.codehaus.plexus.PlexusTestCase

      `createContainerInstance, customizeContext, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getContainer, getCustomConfiguration, getResourceAsStream, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, release, tearDown`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeLogCommandTckTest

          public ChangeLogCommandTckTest()

  - ### Method Detail

    - #### testChangeLogCommand

          public void testChangeLogCommand()
                                    throws Exception

      Throws:
        `Exception`

Copyright © 2003–2015. All rights reserved.